export enum LocalStateEnum {
  router = "router",

  application = "application",
  application_toc = "application_toc",
  application_user = "application_user",
  application_person = "application_person",
  application_authorizedOrganizationalUnit = "application_authorizedOrganizationalUnit",
  application_organizationalUnit_personRole = "application_organizationalUnit_personRole",
  application_cart = "application_cart",
  application_cart_archive = "application_cart_archive",
  application_cart_order = "application_cart_order",
  application_cart_dip = "application_cart_dip",

  home = "home",
  home_organizationalUnit = "home_organizationalUnit",
  home_organizationalUnit_archive = "home_organizationalUnit_archive",

  deposit = "deposit",
  deposit_person = "deposit_person",
  deposit_organizationalUnit = "deposit_organizationalUnit",
  deposit_dataFile = "deposit_dataFile",
  deposit_dataFile_metadataType = "deposit_dataFile_metadataType",
  deposit_collection = "deposit_collection",
  deposit_statusHistory = "deposit_statusHistory",
  deposit_dataFile_statusHistory = "deposit_dataFile_statusHistory",
  deposit_aip = "deposit_aip",
  deposit_authorizedOrganizationalUnit = "deposit_authorizedOrganizationalUnit",

  organizationalUnit = "organizationalUnit",
  organizationalUnit_personRole = "organizationalUnit_personRole",

  oauth2Client = "oauth2Client",

  order = "order",

  order_allOrder = "order_allOrder",
  order_allOrder_statusHistory = "order_allOrder_statusHistory",
  order_allOrder_aip = "order_allOrder_aip",
  order_allOrder_dip = "order_allOrder_dip",
  order_allOrder_orderArchive = "order_allOrder_orderArchive",

  order_myOrder = "order_myOrder",
  order_myOrder_statusHistory = "order_myOrder_statusHistory",
  order_myOrder_aip = "order_myOrder_aip",
  order_myOrder_dip = "order_myOrder_dip",
  order_myOrder_orderArchive = "order_myOrder_orderArchive",

  shared = "shared",
  shared_language = "shared_language",
  shared_license = "shared_license",
  shared_role = "shared_role",
  shared_institution = "shared_institution",
  shared_fundingAgency = "shared_fundingAgency",
  shared_person = "shared_person",
  shared_organizationalUnit = "shared_organizationalUnit",
  shared_preservationPolicy = "shared_preservationPolicy",
  shared_submissionPolicy = "shared_submissionPolicy",
  shared_dissemination_policy = "shared_disseminationPolicy",
  shared_organizationalUnit_submissionPolicy = "shared_organizationalUnit_submissionPolicy",
  shared_organizationalUnit_preservationPolicy = "shared_organizationalUnit_preservationPolicy",
  shared_organizationalUnit_disseminationPolicy = "shared_organizationalUnit_disseminationPolicy",

  admin = "admin",
  admin_oauth2Client = "admin_oauth2Client",
  admin_preservationPolicy = "admin_preservationPolicy",
  admin_submissionPolicy = "admin_submissionPolicy",
  admin_disseminationPolicy = "admin_disseminationPolicy",
  admin_license = "admin_license",
  admin_oaiSet = "admin_oaiSet",
  admin_oaiSet_organizationalUnit = "admin_oaiSet_organizationalUnit",
  admin_organizationalUnit = "admin_organizationalUnit",
  admin_organizationalUnit_submissionPolicy = "admin_organizationalUnit_submissionPolicy",
  admin_organizationalUnit_preservationPolicy = "admin_organizationalUnit_preservationPolicy",
  admin_organizationalUnit_disseminationPolicy = "admin_organizationalUnit_disseminationPolicy",
  admin_organizationalUnit_personRole = "admin_organizationalUnit_personRole",
  admin_organizationalUnit_fundingAgency = "admin_organizationalUnit_fundingAgency",
  admin_organizationalUnit_institution = "admin_organizationalUnit_institution",
  admin_fundingAgencies_organizationalUnit = "admin_fundingAgencies_organizationalUnit",
  admin_institution = "admin_institution",
  admin_researchDomain = "admin_researchDomain",
  admin_user = "admin_user",
  admin_person = "admin_person",
  admin_person_organizationalUnitRole = "admin_person_organizationalUnitRole",
  admin_person_institutions = "admin_person_institutions",
  admin_person_organizationalUnit = "admin_person_organizational_unit",
  admin_role = "admin_role",
  admin_fundingAgencies = "admin_fundingAgencies",
  admin_language = "admin_language",
  admin_metadataType = "admin_metadataType",

  preservation = "preservation",
  preservation_monitoring = "preservation_monitoring",
  preservation_aipStatus = "preservation_aipStatus",
  preservation_job = "preservation_job",
  preservation_job_execution = "preservation_job_execution",
  preservation_job_execution_report = "preservation_job_execution_report",

  preservation_aip = "preservation_aip",
  preservation_aip_organizationalUnit = "preservation_aip_organizationalUnit",
  preservation_aip_aip = "preservation_aip_aip",
  preservation_aip_statusHistory = "preservation_aip_statusHistory",
  preservation_aip_aip_statusHistory = "preservation_aip_aip_statusHistory",

  preservation_aipDownloaded = "preservation_aipDownloaded",
  preservation_aipDownloaded_organizationalUnit = "preservation_aipDownloaded_organizationalUnit",
  preservation_aipDownloaded_aip = "preservation_aipDownloaded_aip",
  preservation_aipDownloaded_statusHistory = "preservation_aipDownloaded_statusHistory",
  preservation_aipDownloaded_aip_statusHistory = "preservation_aipDownloaded_aip_statusHistory",

  preservation_sip = "preservation_sip",
  preservation_sip_statusHistory = "preservation_sip_statusHistory",
  preservation_sip_dataFile = "preservation_sip_dataFile",
  preservation_sip_dataFile_statusHistory = "preservation_sip_dataFile_statusHistory",

  preservation_dip = "preservation_dip",
  preservation_dip_statusHistory = "preservation_dip_statusHistory",
  preservation_dip_dataFile = "preservation_dip_dataFile",
  preservation_dip_dataFile_statusHistory = "preservation_dip_dataFile_statusHistory",
}
