import {
  DisseminationPolicy,
  FundingAgency,
  Institution,
  OrganizationalUnit,
  PreservationPolicy,
  SubmissionPolicy,
} from "@models";

export interface OrganizationalUnitExtended extends OrganizationalUnit {
  defaultSubmissionPolicy?: SubmissionPolicy;
  defaultPreservationPolicy?: PreservationPolicy;
  defaultDisseminationPolicy?: DisseminationPolicy;
  submissionPolicies?: SubmissionPolicy[];
  preservationPolicies?: PreservationPolicy[];
  disseminationPolicies?: DisseminationPolicy[];
  fundingAgencies?: FundingAgency[];
  institutions?: Institution[];
  keywords?: string[];
}
