import {Observable} from "rxjs";
import {BaseResource} from "solidify-frontend";

export interface DataTableActions<TResource extends BaseResource = any> {
  logo: string;
  callback: (current: TResource) => void;
  placeholder: string;
  displayOnCondition?: (current: TResource) => boolean | Observable<boolean> | undefined;
  disableCondition?: (current: TResource) => boolean | Observable<boolean> | undefined;
}
